libnetfilter-conntrack (1.1.0-1build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Sat, 06 Dec 2025 11:32:11 +0100

libnetfilter-conntrack (1.1.0-1) unstable; urgency=medium

  [ Jeremy Sowden ]
  * [3148983] New upstream version 1.1.0
    - Enhancements for filtering dump and flush commands,
      see struct nfct_filter_dump and nfct_nlmsg_build_filter().
    - ctnetlink event BPF fixes (endianness issue, IPv6 matching) and
      enhancements (zone matching).
    - fix for musl compilation.
  * [e89dc63] d/watch: use special strings in URL
  * [36521b3] d/control: update my e-mail address
  * [33b9c17] d/control: remove Alexander Wirt from uploaders.
    Thanks to Formorer for his contributions
  * [0c2b44a] d/control: bump Standards-Version to 4.7.0
  * [beb978d] d/control: replace pkg-config dependencies with pkgconf
  * [f5b3d77] d/gbp.conf: DEFAULT: enable `pristine-tar`
  * [b1a3522] d/patches: drop upstreamed patches
  * [fe7a695] d/s/lintian-overrides: remove no longer needed override
  * [d2b60a1] d/libnetfilter-conntrack3.symbols: add new symbols

 -- Jeremy Sowden <azazel@debian.org>  Wed, 25 Sep 2024 20:37:55 +0100

libnetfilter-conntrack (1.0.9-6) unstable; urgency=medium

  * [7b16e0b] d/rules: support `terse` build option
  * [29166ff] d/patches: add fix for filtering ipv6 addresses (Closes: #690676)
  * [f52dcbd] d/s/lintian-overrides: ignore warning about lack of signature for
    1.0.9 orig tar-ball

 -- Jeremy Sowden <jeremy@azazel.net>  Tue, 10 Oct 2023 18:14:53 +0100

libnetfilter-conntrack (1.0.9-5) unstable; urgency=medium

  * [dc697ca] d/rules: clean generated doc's (Closes: #1048802)
  * [371dc03] d/gbp.conf: DEFAULT: update `debian-branch`

 -- Jeremy Sowden <jeremy@azazel.net>  Mon, 14 Aug 2023 20:48:02 +0100

libnetfilter-conntrack (1.0.9-4) unstable; urgency=medium

  [ Jeremy Sowden ]
  * [18ecdd5] d/control: use tracker.d.o address for `Maintainer:`

  [ Simon McVittie ]
  * [da57dc7] d/control, d/rules: Only build API documentation if we need it
    (Closes: #1043268)

  [ Jeremy Sowden ]
  * [f0617d3] d/control, d/rules: add `nodoc` build-profile support
  * [9aee291] d/gbp.conf: dch: update `commit-msg`

 -- Jeremy Sowden <jeremy@azazel.net>  Tue, 08 Aug 2023 13:42:37 +0100

libnetfilter-conntrack (1.0.9-3) unstable; urgency=medium

  * [44c4074] d/gbp.conf: buildpackage: set `pristine-tar` to `false`
  * [87333e7] d/rules: revert "export dpkg build-flags" since debhelper
    manages them
  * [f8833b6] d/control: bump Standards-Version to 4.6.2
  * [1578d88] d/patches: rename patch
  * [aab4027] d/patches: add patch to correct size of array
  * [0e5055d] d/patches: add patch to fix endianness bug in filters
    (Closes: #896716)

 -- Jeremy Sowden <jeremy@azazel.net>  Mon, 02 Jan 2023 21:41:02 +0000

libnetfilter-conntrack (1.0.9-2) unstable; urgency=medium

  * [3ea7497] d/control: add b-dep on graphviz
  * [1e91ec2] d/patches: add patch to disable broken test
  * [09b8b5a] d/gbp.conf: enable pristine-tar for buildpackage
  * [ed6ccd2] d/gbp.conf: add dch commit-msg
  * [9e78098] d/: add doc-base file for -doc package
  * [b6845c1] d/: add upstream signing key
  * [08ef9ec] d/watch: bump version
  * [f5a31e3] d/watch: use HTTPS URL
  * [61bcd75] d/watch: check upstream sigs
  * [d496a28] d/rules: enable hardening
  * [d379d21] d/libnetfilter-conntrack3.symbols: add `Build-Depends-Package`
    field
  * [65877d8] d/patches/01-disable_test.patch: add metadata
  * [0df5903] d/control: use `linux-any` for arch-specific packages
  * [ce5e271] d/control: add `${misc:Pre-Depends}` to -dev and -doc
  * [21bf8bb] d/gbp.conf: sort sections
  * [4d537f4] d/rules: export dpkg build-flags

 -- Jeremy Sowden <jeremy@azazel.net>  Sat, 09 Apr 2022 15:19:46 +0100

libnetfilter-conntrack (1.0.9-1) unstable; urgency=medium

  [ Debian Janitor ]
  * [82180b7] Remove constraints unnecessary since buster

  [ Jeremy Sowden ]
  * [e2eca4e] d/control: bump Standards-Version to 4.6.0
  * [c81bb37] d/control: mark -doc `multi-arch: foreign`
  * [b5443fd] New upstream version 1.0.9
    + New nfct_nlmsg_build_filter() function that allows one to add metadata
      for kernel-side filtering of conntrack entries during conntrack table
      dump.
    + The nfct_query() API supports the new NFCT_Q_FLUSH_FILTER argument, it
      allows one to flush only ipv4 or ipv6 entries from the connection
      tracking table.
    + nfct_snprint family of functions have been updated.
    + SCTP conntrack entries now support 'heartbeat sent/acked' state.
    + Entries offloaded to hardware include '[HW_OFFLOAD]' in the formatted
      output string.
    + nfct_nlmsg_build() did not work for ICMP flows unless all ICMP attributes
      were set in the reply tuple too, this affected the 'conntrack' tool where
      updates (e.g. setting the conntrack mark to a different value) of ICMP
      flows would not work.
  * [91e2b3e] d/libnetfilter-conntrack3.symbols: add new symbols

 -- Jeremy Sowden <jeremy@azazel.net>  Mon, 14 Feb 2022 22:11:11 +0000

libnetfilter-conntrack (1.0.8-3) unstable; urgency=medium

  * New source-only upload to unstable to allow testing migration.

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Thu, 28 Jan 2021 16:36:02 +0100

libnetfilter-conntrack (1.0.8-2) unstable; urgency=medium

  * [428f3a4] d/gbp.conf:
    + set dch --id-length to 7;
    + set import-orig --pristine-tar to true.
  * [f6f472f] d/control: bump compat to 13.
  * [53cefde] d/control: bump Standards-Version to 4.5.0.
  * [813abfc] d/control: run wrap-and-sort.
  * [53d02d6] d/control: add myself to uploaders.
  * [f34f9ad] d/control: move home-page.
  * [b9018be] d/control: add build-dep on pkg-config.
  * [b25cbcd] d/control: set Rules-Requires-Root: no.
  * [a89c2c5] d/control: remove ${misc:Pre-Depends} and ${shlib:Depends} from
    -dev Depends.
  * [233b3f0] d/not-installed: add .la file.
  * [c92c91b] d/libnetfilter-conntrack3.symbols: add a symbols file.
  * [9715eec] d/.gitignore: add a .gitignore file.
  * [ebf14c4] d/changelog: shorten overlong line.
  * [4142567] d/libnetfilter-conntrack-dev.maintscript: add a
    maintscript to handle the conversion of the -dev docs symlink to a
    directory (closes: #933798).
  * [7a96abd] d/libnetfilter-conntrack-dev.dirs: the directory in the file is
    created automatically, so remove the file.
  * [51c26dd] d/: add a -doc package.
    + Add an override to run doxygen after dh_auto_build and generate the API
      documentation.
    + Add the HTML API doc's to the -doc package.
  * [f50dee6] d/control: bump Standards-Version to 4.5.1.

 -- Jeremy Sowden <jeremy@azazel.net>  Sat, 05 Dec 2020 11:58:06 +0000

libnetfilter-conntrack (1.0.8-1) unstable; urgency=medium

  [ Debian Janitor ]
  * [55b6f00] Use secure URI in Homepage field.
  * [49a3eef] Update standards version to 4.4.1, no changes needed.
  * [6f3f524] Set debhelper-compat version in Build-Depends.
  * [a631eaf] d/copyright: Use spaces rather than tabs in continuation lines.
  * [872560b] Use canonical URL in Vcs-Browser.

  [ Arturo Borrero Gonzalez ]
  * [442aa24] New upstream version 1.0.8

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Thu, 02 Apr 2020 12:39:51 +0200

libnetfilter-conntrack (1.0.7-2) unstable; urgency=medium

  * [0a69ab2] d/control: fix URLs for VCS fields
  * [1bf56c9] d/rules: drop dbgsym migration instruction
  * [024dff4] d/control: bump std-version to 4.4.0
  * [3b47cea] d/copyright: use https
  * [6adc05f] d/changelog: cleanup trailing spaces in older entries
  * [e027df1] libnetfilter-conntrack-dev: include upstream examples
  * [53d3a8a] src:libnetfilter-conntrack: bump dh compat to 12
  * [e3d0275] src:libnetfilter-conntrack: include gitlab-ci support

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Thu, 11 Jul 2019 11:56:32 +0200

libnetfilter-conntrack (1.0.7-1) unstable; urgency=medium

  * [52b69a5] d/control: move package to pkg-netfilter team
  * [670ea9b] New upstream version 1.0.7
  * [29c7615] d/control: use salsa git service
  * [3beadd2] dbgsym: drop old -dbg binary package

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Tue, 01 May 2018 12:33:53 +0200

libnetfilter-conntrack (1.0.6-2) unstable; urgency=medium

  * [07af40b] d/control: update Arturo's email address
  * [4e69999] d/control: make -dev and -dbg packages Multi-Arch: same

 -- Arturo Borrero Gonzalez <arturo@debian.org>  Tue, 11 Oct 2016 09:37:26 +0200

libnetfilter-conntrack (1.0.6-1) unstable; urgency=medium

  * [6498d86] Imported Upstream version 1.0.6
  * [a1f284a] d/control: add myself to Uploaders
  * [63159c9] d/control: bump std-version to 3.9.8
  * [6462045] d/: wrap-and-sort

 -- Arturo Borrero Gonzalez <arturo.borrero.glez@gmail.com>  Mon, 22 Aug 2016 14:28:11 +0200

libnetfilter-conntrack (1.0.5-1) unstable; urgency=medium

  [ Arturo Borrero Gonzalez ]
  * [b86c655] Imported Upstream version 1.0.5
  * [db5a75e] d/copyright: add proper copyright file
  * [41d1f07] d/control: bump standars to 3.9.6

 -- Alexander Wirt <formorer@debian.org>  Wed, 14 Oct 2015 12:38:18 +0200

libnetfilter-conntrack (1.0.4-1) unstable; urgency=low

  * [2d8ac0b] Imported Upstream version 1.0.4
    Closes: #719320

 -- Alexander Wirt <formorer@debian.org>  Fri, 16 Aug 2013 06:56:00 +0200

libnetfilter-conntrack (1.0.3-1) unstable; urgency=low

  * [e2c323b] Imported Upstream version 1.0.3

 -- Alexander Wirt <formorer@debian.org>  Sat, 18 May 2013 20:51:10 +0200

libnetfilter-conntrack (1.0.2-1) experimental; urgency=low

  [ Maykel Moya ]
  * New upstream version (closes: #699203).
    + Add dependency on libmnl >= 1.0.3
  * Bump Standards-Version to 3.9.4.
  * lintian: Set -dbg's priority to extra.

 -- Alexander Wirt <formorer@debian.org>  Sun, 24 Feb 2013 12:07:13 +0100

libnetfilter-conntrack (1.0.1-1) unstable; urgency=low

  * new upstream version
  * bump standards version
  * don't use brace expansion in .install file
  * move to git
  * update copyright file
  * [222ddd2] We don't have .a
  * [4232f72] Use dh and bump deps to dh 8
  * [04a00d2] Ok, lets use dh 9
  * [872a23c] Build debug packages and so on
  * [6e85030] Add predepends for multiarch
  * [db785f8] Multiarch support
  * [d3c9660] Use debsource 1.0
  * [0664014] Add Multi-Arch: same to library
  * [9cd0616] Add git information to controlfile

 -- Alexander Wirt <formorer@debian.org>  Sun, 03 Jun 2012 08:26:11 +0200

libnetfilter-conntrack (1.0.0-1) unstable; urgency=low

  * New upstream version

 -- Alexander Wirt <formorer@debian.org>  Thu, 05 Jan 2012 09:57:23 +0100

libnetfilter-conntrack (0.9.1-1) unstable; urgency=low

  * New upstream version (Closes: #616097)
  * Bumps standards version

 -- Alexander Wirt <formorer@debian.org>  Thu, 03 Mar 2011 22:56:04 +0100

libnetfilter-conntrack (0.0.101-1) unstable; urgency=low

  * New upstream version
  * Remove Max Kellermann from the list of uploaders
    (Thanks for your work on this package)

 -- Alexander Wirt <formorer@debian.org>  Sat, 30 Jan 2010 18:08:16 +0100

libnetfilter-conntrack (0.0.100-1) unstable; urgency=low

  [ Max Kellermann ]
  * new upstream release (Closes: #545915)
    - require libnfnetlink 1.0.0
    - so version increased to 3

  [ Alexander Wirt ]
  * Bump standards version
  * Move dbg package to section debug

 -- Alexander Wirt <formorer@debian.org>  Thu, 17 Sep 2009 12:22:01 +0200

libnetfilter-conntrack (0.0.99-1) unstable; urgency=low

  [ Max Kellermann ]
  * New upstream release
    - increased shlibs version because the symbols were added

  [ Alexander Wirt ]
  * Bump standards version (no changes)

 -- Alexander Wirt <formorer@debian.org>  Thu, 02 Apr 2009 10:32:58 +0200

libnetfilter-conntrack (0.0.97-1) unstable; urgency=low

  [ Max Kellermann ]
  * new upstream release
    - updated makeshlibs version due to API additions

 -- Alexander Wirt <formorer@debian.org>  Fri, 17 Oct 2008 13:09:16 +0200

libnetfilter-conntrack (0.0.96-1) unstable; urgency=low

  [ Max Kellermann ]
  * new upstream release

  [ Alexander Wirt ]
  * Bump standards version (No changes)

 -- Alexander Wirt <formorer@debian.org>  Tue, 22 Jul 2008 23:22:33 +0200

libnetfilter-conntrack (0.0.89-1) unstable; urgency=low

  [ Max Kellermann ]
  * new upstream release
    - /usr/lib/libnetfilter_conntrack was removed
  * build-depend on libtool

 -- Alexander Wirt <formorer@debian.org>  Fri, 21 Mar 2008 22:36:24 +0100

libnetfilter-conntrack (0.0.82-1) unstable; urgency=low

  [ Max Kellermann ]
  * new upstream release
    - shlibs version set to 0.0.82 because of API additions
  * bumped Standards-Version to 3.7.3
  * added Homepage header to debian/control

 -- Alexander Wirt <formorer@debian.org>  Mon, 07 Jan 2008 10:16:05 +0100

libnetfilter-conntrack (0.0.81-1) unstable; urgency=low

  [ Max Kellermann ]
  * new upstream release

  [ Alexander Wirt ]
  * Fix distclean call
  * Make package Bin NMU safe

 -- Alexander Wirt <formorer@debian.org>  Mon, 12 Nov 2007 13:21:00 +0100

libnetfilter-conntrack (0.0.75-1) unstable; urgency=low

  * New upstream release
  * Add debian/compat file and remove compat from rules file

 -- Alexander Wirt <formorer@debian.org>  Fri, 25 May 2007 11:28:35 +0200

libnetfilter-conntrack (0.0.50-1) unstable; urgency=low

  * new upstream release (Closes: #414661)
  * build-depend on libnfnetlink-dev 0.0.25

 -- Max Kellermann <max@duempel.org>  Tue, 13 Mar 2007 08:22:02 +0100

libnetfilter-conntrack (0.0.31-1) unstable; urgency=low

  * initial debian release (Closes: #388614)

 -- Max Kellermann <max@duempel.org>  Thu, 21 Sep 2006 18:29:00 +0200
